## libwebkit-1.0-2 1.1.10-0maemo0

=== debian/changelog ===
libwebkit-1.0-2 (0:1.1.10-0maemo0) unstable; urgency=low

  * Initial version.

 -- Christian Dywan <christian@twotoasts.de>  Wed, 27 Nov 2009 18:35:21 +0100
