## libwebkit-1.0-2 1.1.10-0maemo1

=== debian/changelog ===
libwebkit-1.0-2 (0:1.1.10-0maemo1) unstable; urgency=low

  * Include missing libwebkit-1.0.so in the package.

 -- Christian Dywan <christian@twotoasts.de>  Sun, 29 Nov 2009 18:37:14 +0100
