=== debian/rules ===
#!/usr/bin/make -f

# TODO: Omit documentation files

DEB_TAR_SRCDIR=webkit-$(DEB_UPSTREAM_VERSION)
DEB_DH_STRIP_ARGS := --dbg-package=libwebkit-1.0-2

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/rules/tarball.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_MAKE_CLEAN_TARGET = clean
DEB_MAKE_CHECK_TARGET := 
DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(CURDIR)/debian/tmp/
DEB_CONFIGURE_SCRIPT = $(CURDIR)/$(DEB_SRCDIR)/configure
DEB_CONFIGURE_NORMAL_ARGS = --prefix=/usr
DEB_CONFIGURE_EXTRA_FLAGS = --with-hildon --disable-gnomekeyring --disable-video --disable-xslt --disable-svg
DEB_CONFIGURE_INVOKE = cd $(if $(DEB_BUILDDIR_$(cdbs_curpkg)),$(DEB_BUILDDIR_$(cdbs_curpkg)),$(DEB_BUILDDIR)) && $(DEB_CONFIGURE_SCRIPT) $(DEB_CONFIGURE_NORMAL_ARGS) $(DEB_CONFIGURE_EXTRA_FLAGS)
CFLAGS += -DG_DISABLE_CHECKS
export LINGUAS = de_DE en_GB en_US es_ES es_MX fi_FI fr_CA fr_FR it_IT pt_BR ru_RU

DEB_CONFIGURE_NORMAL_ARGS += $(if $(subst $(DEB_SRCDIR),,$(DEB_BUILDDIR)),,--srcdir=.)

configure/libwebkit-1.0-2::
	# Build against libsoup-2.26
	sed -i 's/libsoup-2.4/libsoup-2.26/g' $(DEB_BUILDDIR)/configure{,.ac}
	sed -i 's/libsoup-2.4/libsoup-2.26/g' $(DEB_BUILDDIR)/WebKit/gtk/webkit.pc.in
	# No enchant needed
	sed -i 's/enchant/gtk+-2.0/g' $(DEB_BUILDDIR)/configure{,.ac}
	# No gail needed
	sed -i 's/gail/gtk+-2.0/g' $(DEB_BUILDDIR)/configure{,.ac}
	$(DEB_CONFIGURE_INVOKE)
	# Don't build any executables
	sed -i 's/Programs\/jsc\$$(EXEEXT)//g' $(DEB_BUILDDIR)/GNUmakefile.in
	sed -i 's/Programs\/minidom\$$(EXEEXT)//g' $(DEB_BUILDDIR)/GNUmakefile.in
	sed -i 's/Programs\/GtkLauncher\$$(EXEEXT)//g' $(DEB_BUILDDIR)/GNUmakefile.in
	sed -i 's/Programs\/DumpRenderTree\$$(EXEEXT)//g' $(DEB_BUILDDIR)/GNUmakefile.in
	sed -i 's/\$$(am__EXEEXT_1)//g' $(DEB_BUILDDIR)/GNUmakefile.in
