## libwebkit-1.0-2 1.1.10-0maemo2

=== debian/changelog ===
libwebkit-1.0-2 (0:1.1.10-0maemo2) unstable; urgency=low

  * Install libwebkit-1.0.so.2.7.0 to /opt and use a symbolic link.

 -- Christian Dywan <christian@twotoasts.de>  Mon, 03 Dec 2009 02:09:10 +0100
