## libwebkit-1.0-2 1.2.0-0maemo0

=== debian/changelog ===
libwebkit-1.0-2 (0:1.2.0-0maemo0) unstable; urgency=low

  * Upgrade to WebKitGTK+ 1.2.0.
  * Enable new "fast mobile scrolling" feature.
  * Update no-enchant.diff and no-gail.diff.
  * Add old-content-sniffing.diff to avoid libsoup upgrade.

 -- Christian Dywan <christian@twotoasts.de>  Thu, 13 Mar 2010 15:19:50 +0100
