=== debian/control ===
Source: libwebkit-1.0-2
Section: network
Priority: optional
Maintainer: Christian Dywan <christian@twotoasts.de>
Build-Depends: cdbs (>= 0.4.21), debhelper (>= 4.1.0), pkg-config (>= 0.18), libsoup2.26-dev (>= 2.26.3), libhildon1-dev, libsqlite3-dev, libicu42-dev, libjpeg62-dev, libpng12-dev, libxml2-dev, libxft-dev, libxt-dev

Package: libwebkit-1.0-2
Section: network
Architecture: any
Depends: libsoup2.26-1 (>= 2.26.3), libhildon1, libsqlite3-0, libicu42, libjpeg62, libpng12-0, libxml2, libxft2, libxt6
Description: an HTML rendering engine
  with support for HTML, XHTML, Javascript and Netscape plugins

Package: libwebkit-1.0-dev
Section: libdevel
Architecture: any
Depends: libwebkit-1.0-2 (= ${Source-Version}), libsoup2.26-dev (>= 2.26.3), pkg-config
Description: Development files for WebKitGTK+.
  with support for HTML, XHTML, Javascript and Netscape plugins

Package: libwebkit-1.0-2-dbg
Section: libdevel
Priority: extra
Architecture: any
Depends: libwebkit-1.0-2 (= ${Source-Version})
Description: Debugging symbols for WebKitGTK+.
  with support for HTML, XHTML, Javascript and Netscape plugins
