=== debian/rules ===
--- 
+++ 
@@ -15,14 +15,20 @@
 DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(CURDIR)/debian/tmp/
 DEB_CONFIGURE_SCRIPT = $(CURDIR)/$(DEB_SRCDIR)/configure
 DEB_CONFIGURE_NORMAL_ARGS = --prefix=/usr
-DEB_CONFIGURE_EXTRA_FLAGS = --with-hildon --disable-gnomekeyring --disable-video --disable-xslt --disable-svg
+DEB_CONFIGURE_EXTRA_FLAGS = --with-hildon --disable-gnomekeyring --disable-video --disable-xslt --disable-svg --enable-fast-mobile-scrolling
 DEB_CONFIGURE_INVOKE = cd $(if $(DEB_BUILDDIR_$(cdbs_curpkg)),$(DEB_BUILDDIR_$(cdbs_curpkg)),$(DEB_BUILDDIR)) && $(DEB_CONFIGURE_SCRIPT) $(DEB_CONFIGURE_NORMAL_ARGS) $(DEB_CONFIGURE_EXTRA_FLAGS)
 CFLAGS += -DG_DISABLE_CHECKS
-export LINGUAS = de_DE en_GB en_US es_ES es_MX fi_FI fr_CA fr_FR it_IT pt_BR ru_RU
+export LINGUAS = cs_CZ da_DK de_DE en_GB en_US es_ES es_MX fi_FI fr_CA fr_FR it_IT nl_NL no_NO pl_PL pt_PT ru_RU sv_SE
 
 DEB_CONFIGURE_NORMAL_ARGS += $(if $(subst $(DEB_SRCDIR),,$(DEB_BUILDDIR)),,--srcdir=.)
 
 configure/libwebkit-1.0-2::
+	# Glib 2.20.3 is enough
+	sed -i 's/GLIB_REQUIRED_VERSION=2.21.3/GLIB_REQUIRED_VERSION=2.20.3/g' $(DEB_BUILDDIR)/configure{,.ac}
+	# glib-mkenums < 2.22 doesn't know @basename@
+	sed -i 's/#include <webkit\/@basename@>/#include <@filename@>/g' $(DEB_BUILDDIR)/GNUmakefile.{am,in}
+	# libSoup 2.26.3 is enough
+	sed -i 's/LIBSOUP_REQUIRED_VERSION=2.28.2/LIBSOUP_REQUIRED_VERSION=2.26.3/g' $(DEB_BUILDDIR)/configure{,.ac}
 	# Build against libsoup-2.26
 	sed -i 's/libsoup-2.4/libsoup-2.26/g' $(DEB_BUILDDIR)/configure{,.ac}
 	sed -i 's/libsoup-2.4/libsoup-2.26/g' $(DEB_BUILDDIR)/WebKit/gtk/webkit.pc.in
